//import java.awt.*;
//import java.awt.event.*;
/** Trieda Casovac je Thread. Sluzi na pocitanie casu v sekundach. Kazdu sekundu,
 * ak to dovoluje premenna go, ktora spusta alebo zastavuje casovac, zmeni svoju 
 * hodnotu na novu hodnotu, ktoru jej prideluje premmenna cas, ktora sa incrementuje
 * o jedna **/

public class Casovac extends Thread {
	/** premenna parent je pre hlavnu triedu, cize pre applet **/
	public Hanoj parent;
	
	/** Toto je constructor Create pre triedu Casovac. Ked sa tato trieda
	 * vytvara tak si pyta premennu typu Hanoj, aby vedela citat premenne
	 * z hlavnej triedy **/
	public Casovac(Hanoj pl) {
		parent = pl;				
	}
	
	/** Touto metodou sa spusta Thread. Kazdu sekundu sa meni pokial mu to 
	 * dovoluje premenna go. **/
	public void run() {
		while (true) {
			try {
			  /** tu sa nastavuje casova dlzka toho ako dlho bude thread pozastaveny.
			   * Je nastavena na 1 sekundu **/	
			  sleep(1000);
			  /** Ak je to povolene, tak sa incrementuje cas a vypise sa do labelu **/
			  if (parent.go) {				  
			    parent.cas++;			  
			    parent.lab.setText("Time   "+parent.cas);
			  }
			  
			}
			/** Keby nahodou thread zlyhal, uzivatel sa o tom dozvie **/
			catch(Exception e) {
				System.out.println("casovac zlyhal.");
			}			
		}
	}
	
}
